"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""

from django.conf.urls.defaults import *
from views import *
from django.conf import settings
from modulos.views import *

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^visuse/', include('visuse.foo.urls')),
	
	('^$', Index),
	('^search/([^/]+)$', PruebaJson),
	('^resultados/([^/]+)/([^/]+)$', ResultadoJson),
	('^busqueda/$', RedireccionBusqueda),


	# only in development
	(r'^resources/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.THIS_DIR}),
	(r'^favicon\.ico$', 'django.views.generic.simple.redirect_to', {'url': '/resources/design/favicon.ico'}),



    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/(.*)', admin.site.root),
)



